# Uses of Interface
org.opensaml.saml.saml2.core.AuthzDecisionStatement

Packages that use AuthzDecisionStatement
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthzDecisionStatement in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type AuthzDecisionStatement
Modifier and Type
Method
Description
`List<AuthzDecisionStatement>`
Assertion.`getAuthzDecisionStatements()`
Gets the list of AuthzDecisionStatements attached to this assertion.

## Uses of AuthzDecisionStatement in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthzDecisionStatement
Modifier and Type
Class
Description
`class`
`AuthzDecisionStatementImpl`
A concrete implementation of `AuthzDecisionStatement`.
Methods in org.opensaml.saml.saml2.core.impl that return AuthzDecisionStatement
Modifier and Type
Method
Description
`AuthzDecisionStatement`
AuthzDecisionStatementBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthzDecisionStatement`
AuthzDecisionStatementBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AuthzDecisionStatement
Modifier and Type
Method
Description
`List<AuthzDecisionStatement>`
AssertionImpl.`getAuthzDecisionStatements()`
Gets the list of AuthzDecisionStatements attached to this assertion.